Drupal.locale = { 'pluralFormula': function ($n) { return Number(($n!=1)); }, 'strings': {"":{"Next":"Seguente", "Disabled":"Disattivato", "Enabled":"Attivato", "Edit":"Modifica", "Upload":"Carica", "Configure":"Configura", "Done":"Fatto", "Show":"Mostra", "Select all rows in this table":"Seleziona tutte le righe in questa tabella", "Deselect all rows in this table":"Deseleziona tutte le righe in questa tabella", "Not published":"Non pubblicato", "Please wait...":"Attendere prego...", "Hide":"Nascondi", "Loading":"Caricamento", "Only files with the following extensions are allowed: %files-allowed.":"Sono consentiti solo i file con le seguenti estensioni: %files-allowed.", "By @name on @date":"Da @name il @date", "By @name":"Da @name", "Not in menu":"Non nel menu", "Alias: @alias":"Alias: @alias", "No alias":"Nessun alias", "New revision":"Nuova revisione", "Drag to re-order":"Trascina per riordinare", "Changes made in this table will not be saved until the form is submitted.":"I cambiamenti fatti a questa tabella non saranno salvati finchè il form non viene inviato.", "The changes to these blocks will not be saved until the \u003Cem\u003ESave blocks\u003C\u002Fem\u003E button is clicked.":"I cambiamenti a questi blocchi non saranno salvati finché il bottone \u003Cem\u003ESalva blocchi\u003C\u002Fem\u003E è cliccato.", "Show shortcuts":"Mostra scorciatoie", "This permission is inherited from the authenticated user role.":"Questo permesso viene ereditato dal ruolo utente autenticato.", "No revision":"Nessuna revisione", "@number comments per page":"@number commenti per pagina", "Requires a title":"Richiede un titolo", "Not restricted":"Non limitato", "(active tab)":"(scheda attiva)", "An AJAX HTTP error occurred.":"Si è verificato un errore HTTP in AJAX.", "HTTP Result Code: !status":"Codice HTTP di risposta: !status", "An AJAX HTTP request terminated abnormally.":"Una richiesta AJAX HTTP è terminata in modo anomalo.", "Debugging information follows.":"Di seguito le informazioni di debug.", "Path: !uri":"Percorso: !uri", "StatusText: !statusText":"StatusText: !statusText", "ResponseText: !responseText":"ResponseText: !responseText", "ReadyState: !readyState":"ReadyState: !readyState", "Not customizable":"Non personalizzabile", "Restricted to certain pages":"Limitato a certe pagine", "The block cannot be placed in this region.":"Il blocco non può essere posizionato in questa regione.", "Customize dashboard":"Personalizza la dashboard", "Hide summary":"Nascondi sommario", "Edit summary":"Modifica sommario", "Don\u0027t display post information":"Non mostrare le informazioni di pubblicazione", "@title dialog":"Finestra di dialogo @title", "The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.":"Il file selezionato %filename non può essere caricato. Sono consentiti solo file con le seguenti estensioni: %extensions.", "Re-order rows by numerical weight instead of dragging.":"Riordina le righe utilizzando il peso numerico invece del trascinamento.", "Show row weights":"Visualizza i pesi delle righe", "Hide row weights":"Nascondi i pesi delle righe", "Autocomplete popup":"Popup di autocompletamento", "Searching for matches...":"Ricerca in corso...", "Hide shortcuts":"Nascondi scorciatoie", "Close":"Chiudi", "Log messages":"Messaggi di log", "Please select a file.":"Selezionare un file.", "You are not allowed to operate on more than %num files.":"L\u0027utente non è autorizzato ad operare su più di %num file.", "Please specify dimensions within the allowed range that is from 1x1 to @dimensions.":"Le dimensioni specificate devono rientrare nell\u0027intervallo consentito, che va da 1x1 a @dimensions.", "%filename is not an image.":"%filename non è un\u0027immagine.", "File browsing is disabled in directory %dir.":"La navigazione dei file è disattivata per la cartella %dir.", "Do you want to refresh the current directory?":"Desideri aggiornare la cartella corrente?", "Delete selected files?":"Eliminare i file selezionati?", "Please select a thumbnail.":"Devi selezionare una miniatura.", "You must select at least %num files.":"Devi selezionare almeno %num file.", "You can not perform this operation.":"Impossibile eseguire l\u0027operazione richiesta.", "Insert file":"Inserisci file", "Change view":"Cambia vista", "Other":"Altro", "Remove group":"Rimuovi gruppo", "Apply (all displays)":"Applica (tutte le visualizzazioni)", "Apply (this display)":"Applica (solo questa visualizzazione)", "Revert to default":"Ritorna al predefinito", "Previous":"Precedente", "Automatic alias":"Alias automatico", "Insert this token into your form":"Inserisci questo token nel form", "First click a text field to insert your tokens into.":"Prima occorre cliccare sul campo di testo dove inserire i token."}} };;

(function ($) {
  Drupal.Panels = {};

  Drupal.Panels.autoAttach = function() {
    if ($.browser.msie) {
      // If IE, attach a hover event so we can see our admin links.
      $("div.panel-pane").hover(
        function() {
          $('div.panel-hide', this).addClass("panel-hide-hover"); return true;
        },
        function() {
          $('div.panel-hide', this).removeClass("panel-hide-hover"); return true;
        }
      );
      $("div.admin-links").hover(
        function() {
          $(this).addClass("admin-links-hover"); return true;
        },
        function(){
          $(this).removeClass("admin-links-hover"); return true;
        }
      );
    }
  };

  $(Drupal.Panels.autoAttach);
})(jQuery);
;
(function ($) {

/**
 * Show/hide the 'Email site administrator when updates are available' checkbox
 * on the install page.
 */
Drupal.hideEmailAdministratorCheckbox = function () {
  // Make sure the secondary box is shown / hidden as necessary on page load.
  if ($('#edit-update-status-module-1').is(':checked')) {
    $('.form-item-update-status-module-2').show();
  }
  else {
    $('.form-item-update-status-module-2').hide();
  }

  // Toggle the display as necessary when the checkbox is clicked.
  $('#edit-update-status-module-1').change( function () {
    $('.form-item-update-status-module-2').toggle();
  });
};

/**
 * Internal function to check using Ajax if clean URLs can be enabled on the
 * settings page.
 *
 * This function is not used to verify whether or not clean URLs
 * are currently enabled.
 */
Drupal.behaviors.cleanURLsSettingsCheck = {
  attach: function (context, settings) {
    // This behavior attaches by ID, so is only valid once on a page.
    // Also skip if we are on an install page, as Drupal.cleanURLsInstallCheck will handle
    // the processing.
    if (!($('#edit-clean-url').length) || $('#edit-clean-url.install').once('clean-url').length) {
      return;
    }
    var url = settings.basePath + 'admin/config/search/clean-urls/check';
    $.ajax({
      url: location.protocol + '//' + location.host + url,
      dataType: 'json',
      success: function () {
        // Check was successful. Redirect using a "clean URL". This will force the form that allows enabling clean URLs.
        location = settings.basePath +"admin/config/search/clean-urls";
      }
    });
  }
};

/**
 * Internal function to check using Ajax if clean URLs can be enabled on the
 * install page.
 *
 * This function is not used to verify whether or not clean URLs
 * are currently enabled.
 */
Drupal.cleanURLsInstallCheck = function () {
  var url = location.protocol + '//' + location.host + Drupal.settings.basePath + 'admin/config/search/clean-urls/check';
  // Submit a synchronous request to avoid database errors associated with
  // concurrent requests during install.
  $.ajax({
    async: false,
    url: url,
    dataType: 'json',
    success: function () {
      // Check was successful.
      $('#edit-clean-url').attr('value', 1);
    }
  });
};

/**
 * When a field is filled out, apply its value to other fields that will likely
 * use the same value. In the installer this is used to populate the
 * administrator e-mail address with the same value as the site e-mail address.
 */
Drupal.behaviors.copyFieldValue = {
  attach: function (context, settings) {
    for (var sourceId in settings.copyFieldValue) {
      $('#' + sourceId, context).once('copy-field-values').bind('blur', function () {
        // Get the list of target fields.
        var targetIds = settings.copyFieldValue[sourceId];
        // Add the behavior to update target fields on blur of the primary field.
        for (var delta in targetIds) {
          var targetField = $('#' + targetIds[delta]);
          if (targetField.val() == '') {
            targetField.val(this.value);
          }
        }
      });
    }
  }
};

/**
 * Show/hide custom format sections on the regional settings page.
 */
Drupal.behaviors.dateTime = {
  attach: function (context, settings) {
    for (var value in settings.dateTime) {
      var settings = settings.dateTime[value];
      var source = '#edit-' + value;
      var suffix = source + '-suffix';

      // Attach keyup handler to custom format inputs.
      $('input' + source, context).once('date-time').keyup(function () {
        var input = $(this);
        var url = settings.lookup + (settings.lookup.match(/\?q=/) ? '&format=' : '?format=') + encodeURIComponent(input.val());
        $.getJSON(url, function (data) {
          $(suffix).empty().append(' ' + settings.text + ': <em>' + data + '</em>');
        });
      });
    }
  }
};

 /**
 * Show/hide settings for page caching depending on whether page caching is
 * enabled or not.
 */
Drupal.behaviors.pageCache = {
  attach: function (context, settings) {
    $('#edit-cache-0', context).change(function () {
      $('#page-compression-wrapper').hide();
      $('#cache-error').hide();
    });
    $('#edit-cache-1', context).change(function () {
      $('#page-compression-wrapper').show();
      $('#cache-error').hide();
    });
    $('#edit-cache-2', context).change(function () {
      $('#page-compression-wrapper').show();
      $('#cache-error').show();
    });
  }
};

})(jQuery);
;
